#
# WARNING, READ FIRST:
#
# PLEASE svn cp SOURCES FROM xulrunner SOURCES INSTEAD
# OF COMMITING AGAIN THE TARBALL
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

# Stay on ESR for stable releases. 
%define major 10.0.6
%define ff_epoch 0
# (tpg) set version HERE !!!
%define realver %{major}esr
%define firefox_appid \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

# (tpg) MOZILLA_FIVE_HOME
%define mozillalibdir %{_libdir}/%{name}-%{major}
%define pluginsdir %{_libdir}/mozilla/plugins

# libxul.so is provided by libxulrunnner2.0.
%define _requires_exceptions libxul.so

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)
%define nss_version %(pkg-config --modversion nss &>/dev/null && pkg-config --modversion nss 2>/dev/null || echo 0)
%define nspr_version %(pkg-config --modversion nspr &>/dev/null && pkg-config --modversion nspr 2>/dev/null || echo 0)

%define _use_syshunspell 1

Summary:	Next generation web browser
Name:		firefox
Version:	%{major}
Epoch:		%{ff_epoch}
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
Url:		http://www.mozilla.com/firefox/
%if 0%{?prel}
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{name}/releases/%{realver}/source/%{name}-%{realver}%prel.source.tar.bz2
%else
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{name}/releases/%{realver}/source/%{name}-%{realver}.source.tar.bz2
%endif
Source4:	%{name}.desktop
Source9:	kde.js

Patch1:		firefox-6.0-lang.patch
Patch2:         firefox-vendor.patch
Patch3:		mozilla-firefox-1.5.0.6-systemproxy.patch
Patch4:		firefox-10.0-nss-binary.patch
# (OpenSuse) add patch to make firefox always use /usr/bin/firefox when "make firefox
# the default web browser" is used fix mdv bug#58784
Patch5:         firefox-6.0-appname.patch
Patch7:		mozilla-firefox-run-mozilla.patch
Patch8:		firefox-disable-check-default-browser.patch
Patch10:	firefox-3.5.3-default-mail-handler.patch
# Patches for kde integration of FF 
Patch11:        firefox-kde.patch
Patch12:        mozilla-kde.patch

# patch from https://bugzilla.mozilla.org/show_bug.cgi?id=551138
# we'll have to use system libffi on arm because moz folks are using
# vfp asm which doesn't exist on non-cortex platforms
# src/arm/sysv.S: Assembler messages:
# src/arm/sysv.S:266: Error: selected processor does not support ARM mode `flddle d0,[ip]'
# src/arm/sysv.S:267: Error: selected processor does not support ARM mode `fldmiadgt ip,{d0-d7}'
# src/arm/sysv.S:307: Error: selected processor does not support ARM mode `fstseq s0,[r2]'
# src/arm/sysv.S:311: Error: selected processor does not support ARM mode `fstdeq d0,[r2]'
# src/arm/sysv.S:316: Error: selected processor does not support ARM mode `fstmiadeq r2,{d0-d3}'
# src/arm/sysv.S:400: Error: selected processor does not support ARM mode `fstmfdd sp!,{d0-d7}'
# src/arm/sysv.S:438: Error: selected processor does not support ARM mode `flds s0,[sp]'
# src/arm/sysv.S:441: Error: selected processor does not support ARM mode `fldd d0,[sp]'
# src/arm/sysv.S:450: Error: selected processor does not support ARM mode `fldmiad sp,{d0-d1}'
# src/arm/sysv.S:453: Error: selected processor does not support ARM mode `fldmiad sp,{d0-d3}'
Patch34:	xulrunner_nojit.patch
Patch35:	firefox-5.0-asciidel.patch

BuildRequires:	gtk+2-devel
BuildRequires:	unzip
BuildRequires:	zip
BuildRequires:	libxinerama-devel
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	libIDL2-devel
BuildRequires:	makedepend
BuildRequires:	nss-devel >= 2:3.13.1
BuildRequires:  nss-static-devel
BuildRequires:	nspr-devel >= 2:4.8.7
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	python
BuildRequires:  libsqlite3-devel >= 3.7.7.1
%ifnarch %arm %mips
BuildRequires:	valgrind
BuildRequires:	java-rpmbuild
BuildRequires: yasm >= 1.0.1
%endif
%ifarch %arm
BuildRequires:	libffi-devel
%endif
BuildRequires:	rootcerts >= 1:20110902.00
BuildRequires:	libxt-devel
%if %_use_syshunspell
BuildRequires: hunspell-devel
%endif
BuildRequires:	doxygen
# BuildRequires:  xulrunner-devel >= %xulrunner_version%{?prel:-0.%prel}
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	wget
BuildRequires:	libnotify-devel
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	mesagl-devel
BuildRequires:	libvpx-devel
BuildRequires:	autoconf2.1
BuildRequires:  libiw-devel

%if 0%{?prel}
Provides:	%{name} = %{epoch}:%{realver}-0.%{prel}
%else
Provides:	%{name} = %{epoch}:%{realver}
%endif
Provides:	mozilla-firefox = %{epoch}:%{version}-%{release}
Provides:	webclient

Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}
Requires:	%{mklibname nss 3} >= 2:%{nss_version}
Requires:	%{mklibname nspr 4} >= 2:%{nspr_version}
Requires:	indexhtml
Requires:       xdg-utils
# fixes bug #42096
Requires:	mailcap
Suggests:	myspell-en_US
%ifarch x86_64
Suggests:	nspluginwrapper
%endif
Suggests:	%{_lib}canberra0
Suggests:	%{_lib}cups2
Obsoletes:	firefox-ext-weave-sync

%description
The award-winning Web browser is now faster, more secure, and fully customizable 
to your online life. With Firefox(R), we've added powerful new features that 
make your online experience even better. It is an 'open source' product which is 
freely available, and is acquiring a growing proportion of international web 
browser usage.

Firefox claims to offer a more secure web browsing experience than other products, 
with better protection against spyware and other Internet-based security threats. 
It includes all the standard features of a modern web browser, like Internet 
searching, tracking recently visited sites, setting up shortcuts to favourite 
sites, customising the software behaviour and so on. Firefox also includes 
features like 'tabbed browsing' (opening several web sites as sections within the 
same window) and methods for controlling pop-up windows, cookies and downloaded 
files.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other

%description	devel
Files and macros mainly for building Firefox extensions.

%prep
%setup -qn mozilla-esr10
%patch1 -p1 -b .lang
%patch2 -p1 -b .vendor
#patch3 -p1 -b .systemproxy
%patch4 -p0 -b .nss
%patch5 -p1 -b .appname
# It was disabled because firefox3 hangs when using soundwrapper
#patch7 -p1
%patch8 -p1 -b .disable-software-update
%patch10 -p1 -b .default-mail-handler
## KDE INTEGRATION
# copy current files and patch them later to keep them in sync
# Disable kde integration , need refactoring
#%patch11 -p1 -b .kde
#%patch12 -p1 -b .kdemoz
# install kde.js
install -m 644 %{SOURCE9} browser/app/profile/kde.js

%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
%patch34 -p1
%endif
%endif
%patch35 -p1
pushd js/src
autoconf-2.13
popd
autoconf-2.13

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

%build
export MOZCONFIG=`pwd`/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS="%{_smp_mflags}"
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../obj
ac_add_options --host=%{_host}
ac_add_options --target=%{_target_platform}
ac_add_options --enable-optimize="%{optflags}"
ac_add_options --prefix="%{_prefix}"
ac_add_options --libdir="%{_libdir}"
ac_add_options --sysconfdir="%{_sysconfdir}"
ac_add_options --mandir="%{_mandir}"
ac_add_options --includedir="%{_includedir}"
ac_add_options --datadir="%{_datadir}"
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-zlib
ac_add_options --with-system-libvpx
ac_add_options --enable-webm
ac_add_options --enable-gio
ac_add_options --disable-gnomevfs
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --disable-tests
ac_add_options --disable-debug
#ac_add_options --enable-chrome-format=jar
#ac_add_options --enable-update-channel=beta
ac_add_options --enable-official-branding
ac_add_options --enable-libproxy
ac_add_options --without-system-png
ac_add_options --with-system-jpeg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-sqlite
ac_add_options --enable-startup-notification
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.mageia
ac_add_options --disable-crashreporter
%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
ac_add_options --disable-methodjit 
ac_add_options --disable-tracejit 
%endif
ac_add_options --enable-system-ffi 
%endif
%ifnarch %arm %mips
ac_add_options --with-valgrind 
ac_add_options --with-java-include-path=%{java_home}/include 
ac_add_options --with-java-bin-path=%{java_home}/bin 
%endif

EOF

%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

export LDFLAGS="%ldflags"
make -f client.mk build

%install
rm -rf %{buildroot}

make -C %{_builddir}/obj/browser/installer STRIP=/bin/true

# Copy files to buildroot
%{__mkdir_p} %{buildroot}%{mozillalibdir}
cp -rf %{_builddir}/obj/dist/firefox/* %{buildroot}%{mozillalibdir}

%{__mkdir_p}  %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/firefox
pushd %{buildroot}%{_bindir}
	ln -sf firefox mozilla-firefox
popd

# Create and own %_libdir/mozilla/plugins & firefox extensions directories
%{__mkdir_p} %{buildroot}%{pluginsdir}
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/extensions/%{firefox_appid}
%{__mkdir_p} %{buildroot}%{_datadir}/mozilla/extensions/%{firefox_appid}

# (tpg) desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop

# (tpg) icons
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 22 24 32 48 256; do
# (cg) Not all icon sizes are installed with make install, so just redo it here.
%{__install} -m 644 browser/branding/official/default$i.png %{buildroot}%{mozillalibdir}/chrome/icons/default/default$i.png
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png ;
done
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
ln -sf %{mozillalibdir}/chrome/icons/default/default48.png %{buildroot}%{_liconsdir}/%{name}.png
ln -sf %{mozillalibdir}/chrome/icons/default/default32.png %{buildroot}%{_iconsdir}/%{name}.png
ln -sf %{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}%{_miconsdir}/%{name}.png

# exclusions
rm -f %{buildroot}%{mozillalibdir}/README.txt
rm -f %{buildroot}%{mozillalibdir}/removed-files
rm -f %{buildroot}%{mozillalibdir}/precomplete

# this file is only used when creating a new user profile
install -D -m644 browser/app/profile/prefs.js %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
user_pref("browser.EULA.override", true);
user_pref("browser.shell.checkDefaultBrowser", false);
user_pref("browser.startup.homepage", "file:///usr/share/indexhtml/index.html");
user_pref("app.update.auto", false);
user_pref("app.update.enabled", false);
user_pref("app.update.autoInstallEnabled", false);
user_pref("browser.showQuitWarning", true);
EOF

# files in this directory are read on every startup, and can change/add
# preferences for existing profiles
# extensions.autoDisableScopes is a new preference added in firefox 8
# it defines "scopes" where newly installed addons are disabled by default
# this is an additive bit field, and the value defaults to 15 (1+2+4+8)
# we need to remove system scope (8) from it so language packs and other addons
# which are installed systemwide won't get marked as 3rd party and disabled
# documentation: http://kb.mozillazine.org/About:config_entries#Extensions.
# or in toolkit/mozapps/extensions/AddonManager.jsm
# we also need to disable the "disable addon selection dialog"
cat << EOF > %{buildroot}%{mozillalibdir}/defaults/pref/mga.js
pref("extensions.autoDisableScopes", 0);
pref("extensions.shownSelectionUI", true);
EOF

# (ahmad) these ones belonged in prefs.js (see above), remove them until it's
# decided what search engines to ship by default
#user_pref("browser.search.selectedEngine","Ask.com");
#user_pref("browser.search.order.1","Ask.com");
#user_pref("browser.search.order.2","Exalead");
#user_pref("browser.search.order.3","Google");
#user_pref("browser.search.order.4","Yahoo");

# (ahmad) don't install these until it's decided what search engines to ship by
# default
# search engines
#cp -f %{SOURCE5} %{buildroot}%{mozillalibdir}/searchplugins/jamendo.xml
#cp -f %{SOURCE6} %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
#cp -f %{SOURCE8} %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml

#sed -i 's/@DISTRO_VALUE@/ffx/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
#sed -i 's/@DISTRO_VALUE@//' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml

# use the system myspell dictionaries
rm -fr %{buildroot}%{mozillalibdir}/dictionaries
ln -s %{_datadir}/dict/mozilla %{buildroot}%{mozillalibdir}/dictionaries

# (lm) touch and %ghost bookmarks.html to a proper uninstall
touch %{buildroot}%{mozillalibdir}/defaults/profile/bookmarks.html

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%firefox_major              %{major}
%%firefox_epoch              %{ff_epoch}
%%firefox_version            %{major}%{?prel:-0.%prel}
%%firefox_mozillapath        %{mozillalibdir}
%%firefox_pluginsdir         %{pluginsdir}
%%firefox_appid              \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%%firefox_extdir             %%(if [ "%%_target_cpu" = "noarch" ]; then echo %%{_datadir}/mozilla/extensions/%%{firefox_appid}; else echo %%{_libdir}/mozilla/extensions/%%{firefox_appid}; fi)
FIN

%pre
if [ -d %{mozillalibdir}/dictionaries ]; then
    rm -fr %{mozillalibdir}/dictionaries
fi

%post
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
    *powerpack) bookmark="mozilla-powerpack.html" ;;
    *desktop) bookmark="mozilla-one.html";;
    *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mga/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/mozilla-firefox
%{_iconsdir}/hicolor/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}-%{major}*
%ghost %{mozillalibdir}/defaults/profile/bookmarks.html
%dir %{_libdir}/mozilla
%dir %{pluginsdir}
%dir %{_libdir}/mozilla/extensions/%{firefox_appid}
%dir %{_datadir}/mozilla/extensions/%{firefox_appid}

%files devel
%{_sys_macros_dir}/%{name}.macros


%changelog

* Tue Jul 17 2012 fwang <fwang> 0:10.0.6-1.mga1
+ Revision: 271676
- new version 10.0.6
- new version 10.0.5esr
- fix firefox_version defination in rpm macro
- new version 10.0.4esr
- try fix build with system nss binary
- new version 1.0.3esr
- new version 9.0.1
- new version 8.0.1
- new version 7.0.1
- do not use subrel here

  + luigiwalser <luigiwalser>
    - rebuild

  + dmorgan <dmorgan>
    - New version 10.0.2
    - New version 10.0.1
    - New version 10.0
    - New version 9.0
    - Rebuild against new nss
    - New version 8.0
    - Fix firefox-kde.patch to work with FF7
    - New version 7.0
    - Rebuild against new rootcerts
    - New version 6.0.2
    - Versionnate rootcert  buildrequire
    - Do not use .asc file anymore
    - New version 6.0.1
    - Update to ff6
    - Update to FF 5.0.1

  + doktor5000 <doktor5000>
    - really prevent firefox 8 default preference (extensions.autoDisableScopes)
      from automatically disabling systemwide installed addons
    - hide addons selection dialog permanently
    - added comments about purpose of the .js preferences files we use
    - change firefox 8 default preference (extensions.autoDisableScopes) to not
      automatically disable systemwide installed addons, like language packs

  + lmenut <lmenut>
    - version requires on nss and nspr (like in xulrunner)
    - fix default bookmarks.html
    - use gio instead of gnomevfs
    - enable startup notification
    - own firefox extensions directories
    - use upstream default for user_pref:
       + browser.ctrlTab.previews
       + browser.tabs.insertRelatedAfterCurrent
       + security.ssl.require_safe_negotiation
    - add user_pref(browser.showQuitWarning, true)

  + ahmad <ahmad>
    - Drop BR xulrunner-devel since libxul.so is built here
    - Add BR pkgconfig(libproxy-1.0), pkgconfig(alsa)
    - Use the system myspell dictionaries
    - Only suggest nspluginwrapper for x86_64 package:
      o firefox doesn't need a plugin wrapper nowadays that it has a native
        out-of-process-plugin technology
      o nspluginwrapper is only useful for the x86_64 package, to enable using
        32bit-only plugins (e.g. Adobe nppdf or flash player)

* Sat Apr 30 2011 tv <tv> 0:4.0.1-4.mga1
+ Revision: 93606
- new release
- update kde patch from MDV:  Enable back kde firefox integration

* Wed Mar 30 2011 rtp <rtp> 0:4.0-4.mga1
+ Revision: 79029
- Arm support :
  * Merge patch from mozilla bug 626035 to fix arm detection
  * Use system libffi (only on arm) because internal one is using vfp insns
  * Disable all javascrits jit (tracejit/methodjit) because arm softfloat support broken
  * Backport alignment fix from mozilla bug 634954

  + rda <rda>
    - Update homepage location

* Tue Mar 22 2011 ahmad <ahmad> 0:4.0-2.mga1
+ Revision: 75375
- update to firefox-4.0
- enable to package beta/rc or final with %%if (Thierry Vignaud)
- remove a duplicate instance of user_pref("browser.startup.homepage"
- remove user_pref("browser.ctrlTab.previews", true); and go with upstream default
- add user_pref("browser.showQuitWarning", true);
- drop the vendor patch in accordance with xulrunner commits, c.f.:
  http://svnweb.mageia.org/packages?view=revision&revision=65726
- don't change upstream search engines prefs until it's decided what Mageia will
  ship by default
- no need to ghost {compreg,xpti}.dat any more, they both moved to the profile
  directory ages ago (Fedora)
- drop firefox-rebuild-databases.pl, it's not needed any more (see above)
- don't compile with --disable-faststart
- build with system-libvpx
- build with system system-pixman

* Sun Mar 20 2011 dmorgan <dmorgan> 0:4.0-0.rc2.1.mga1
+ Revision: 74764
- Update to rc2

* Sat Mar 19 2011 dmorgan <dmorgan> 0:4.0-0.rc1.9.mga1
+ Revision: 74498
- Add patch to enable kde integration ( from Suse )

* Fri Mar 18 2011 dmorgan <dmorgan> 0:4.0-0.rc1.8.mga1
+ Revision: 74105
- disable gnomevfs and enable gio

* Fri Mar 18 2011 ennael <ennael> 0:4.0-0.rc1.7.mga1
+ Revision: 74084
- fix firefox-kde.patch

* Thu Mar 10 2011 tv <tv> 0:4.0-0.rc1.6.mga1
+ Revision: 67799
- fix path in tarball
- new release

* Sun Mar 06 2011 ahmad <ahmad> 0:4.0-0.b12.6.mga1
+ Revision: 65727
- don't set browser.tabs.insertRelatedAfterCurrent to false by default, to be
  more compliant with upstream (they do spend time on usability)

* Tue Mar 01 2011 ahmad <ahmad> 0:4.0-0.b12.5.mga1
+ Revision: 61887
- don't install kde.js, the xulrunner kde-integration patches aren't applied
  so installing this file is useless
- tighten the 'xulrunner' requires, otherwise firefox breaks if xulrunner is
  updated while new firefox isn't built/available on the mirrors yet

  + dmorgan <dmorgan>
    - Revert previous commti
    - Fix release

* Sat Feb 26 2011 tv <tv> 0:4.0-0.b12.4.mga1
+ Revision: 60892
- new release
- new release

* Mon Feb 21 2011 dmorgan <dmorgan> 0:4.0-0.b11.4.mga1
+ Revision: 55433
- Fix sources
- Backport mdv commit 636905
  	- disable elf hack also
- Update to b11

* Sun Feb 13 2011 dmorgan <dmorgan> 0:4.0-0.b10.4.mga1
+ Revision: 51554
- Fixed build with the new omni.jar format and enabled again system nss
  Merge mdv commit 631629

  + ahmad <ahmad>
    - requires a recent enough cairo-devel

* Tue Feb 01 2011 tv <tv> 0:4.0-0.b10.3.mga1
+ Revision: 45615
- add more firefox macro to ease packaging extensions per discussion on cooker@
- fix version in description
- fix URL

* Mon Jan 31 2011 dmorgan <dmorgan> 0:4.0-0.b10.2.mga1
+ Revision: 45197
- now ships boundled weave sync

* Thu Jan 27 2011 erwan <erwan> 0:4.0-0.b10.1.mga1
+ Revision: 42309
- Adding asc file for b10
- New release b10
- Removing older file

* Thu Jan 27 2011 erwan <erwan> 0:4.0-0.b8.1.mga1
+ Revision: 42265
- Removing useless specs

  + blino <blino>
    - imported package firefox


* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b8.1mdv2011.0
+ Revision: 628756
- fix file list

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.4mdv2011.0
+ Revision: 598569
- more specific firefox preversion for extensions

* Fri Nov 12 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.3mdv2011.0
+ Revision: 596420
- finally fix xulrunne req

* Fri Nov 12 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.2mdv2011.0
+ Revision: 596408
- fix prefinal requires

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.1mdv2011.0
+ Revision: 595945
- add specific BR for prefinal version

  + Thierry Vignaud <tv@mandriva.org>
    - advise to svn cp xulrunner sources instead of adding again the sources in SVN
    - new release

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b6.1mdv2011.0
+ Revision: 579047
- update to new version 4.0b6

* Tue Sep 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b5.1mdv2011.0
+ Revision: 576695
- update to new version 4.0b5

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b4.2mdv2011.0
+ Revision: 574483
- rebuild for new xulrunner

* Wed Aug 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b4.1mdv2011.0
+ Revision: 573010
- update to new version 4.0b4

* Tue Aug 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b3.2mdv2011.0
+ Revision: 572952
+ rebuild (emptylog)

* Mon Aug 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b3.1mdv2011.0
+ Revision: 572074
- add buildrequires on mesagl-devel
- update to new version 4.0b3
- disable patches 4 an 17 (need a rediff)
- do no build against system-wide nss (temporary)
- sync configure options with xulrunner

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6.8-1mdv2011.0
+ Revision: 558168
- update to new version 3.6.8

  + Frederic Crozat <fcrozat@mandriva.com>
    - revert for cooker / stable

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-1mdv2010.1
+ Revision: 549343
- Fix release number for cooker / 2010.1

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-0.1mdv2010.1
+ Revision: 549287
- Release 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.4-1mdv2010.1
+ Revision: 549245
- sync with MDVSA-2010:125

* Mon May 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6.3-10mdv2010.1
+ Revision: 544926
- enable default app path patch

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - add patch from OpenSuse to make firefox always use /usr/bin/firefox when
      "make firefox the default web browser" is used, should fix mdv#58784 (patch is
      disabled at the moment).

* Fri Apr 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-9mdv2010.1
+ Revision: 535414
- actually make that sqlite3 version discovery working...

* Thu Apr 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-8mdv2010.1
+ Revision: 535078
- fix #58754 (firefox 3.6.3 should require latest sqlite)

* Mon Apr 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-7mdv2010.1
+ Revision: 533712
- actually use the correct name and major for sqlite3
- bump release
- pull a recent enough sqlite3

* Fri Apr 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-6mdv2010.1
+ Revision: 533450
- re-enable two of the patches (duh!)

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-5mdv2010.1
+ Revision: 533027
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-4mdv2010.1
+ Revision: 532692
- rebuild
- more backport fixes
- adjust deps a bit

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-3mdv2010.1
+ Revision: 532334
- make it backportable to 2008.0

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-2mdv2010.1
+ Revision: 532016
- fix CVE-2009-3555

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0:3.6.3-1mdv2010.1
+ Revision: 531036
- new version 3.6.3

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.2-1mdv2010.1
+ Revision: 526886
- it really needs nss-3.12.6
- adjust deps
- 3.6.2
- adjust deps
- rather removed more annoyances...
- fix "incorrect" opening of new tabs, revert to 3.5 behaviour

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 0:3.6-1mdv2010.1
+ Revision: 494597
- New version 3.6 final

* Wed Jan 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0:3.6-0.rc2.2mdv2010.1
+ Revision: 493941
- Add kde integration patch
- Add kde.js as source.
  This is not used yet but will be to add kde integration into firefox

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6-0.rc2.1mdv2010.1
+ Revision: 493330
- update to new versin 3.6-rc2

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0:3.6-0.rc1.1mdv2010.1
+ Revision: 488183
- really fix firefox libdir

  + Ahmad Samir <ahmadsamir@mandriva.org>
    -fix spec

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.6-rc1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b5.1mdv2010.1
+ Revision: 479897
- firefox 3.6b5
- fix ctrlTab pref in prefs.js

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b4.2mdv2010.1
+ Revision: 479429
- push 3.6b4 to cooker main/release
- switch to firefox 3.6beta4

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-2mdv2010.1
+ Revision: 479174
- bump rel, previous package was eaten by bs

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-1mdv2010.1
+ Revision: 479148
- New version 3.5.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0:3.5.5-1mdv2010.1
+ Revision: 460603
- New version 3.5.5

* Mon Oct 26 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 0:3.5.3-2mdv2010.0
+ Revision: 459403
- added a patch setting the proper mailto handler (#44151)

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 0:3.5.3-1mdv2010.0
+ Revision: 441777
- fix wrong use of xulrunner version magic

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.5.3

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.5.2-4mdv2010.0
+ Revision: 420216
- update StartupWMClass in firefox.desktop file
- drop firefox.png icon, use shipped within tarball ones
- move icons to %%_iconsdir/hicolor
- use %%xulrunner_version macro
- drop buildrequires on lcms-devel
- do not overrite default optimization flags in --enable-optimize switch

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-3mdv2010.0
+ Revision: 417719
- fixed custom mdv homepage patch (firefox-3.0b3-homepage)

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-2mdv2010.0
+ Revision: 417646
- put the macros in a -devel package, so extensions don't need to require whole firefox

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-1mdv2010.0
+ Revision: 417591
- added macros for building packages requiring firefox
- new version 3.5.2, merged from cooker/firefox/branches/current

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.13-1mdv2010.0
+ Revision: 408633
- Updated firefox to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.12-1mdv2010.0
+ Revision: 399083
- Updated to FF 3.0.12.

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.11-2mdv2010.0
+ Revision: 386840
- use %%mandriva_branch again

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated sqlite3 dependencies for Firefox 3.0.11.

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 0:3.0.11-1mdv2010.0
+ Revision: 385514
- New version 3.0.11
- update firefox.desktop with our own translation

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for gcc-4.4.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0:3.0.10-1mdv2010.0
+ Revision: 369503
- New version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.8-1mdv2009.1
+ Revision: 361836
- new version 3.0.8

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.7-1mdv2009.1
+ Revision: 354017
- 3.0.7

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0:3.0.6-1mdv2009.1
+ Revision: 336982
- New version 3.0.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - obsoletes for upgrades from older distro versions:
      . obsolete latest Firefox 2 version (2.0.0.19)
      . obsolete kdeff theme, which only works with Firefox 2
    - automate subrel definition when building for older distros
    - prepare firefox 3 to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.5-2mdv2009.1
+ Revision: 317704
- build with %%setup_compile_flags

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.5
    - rediff lang.patch, vendor.patch

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - reduce chance of errors by hardcoding the right values

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.4-1mdv2009.1
+ Revision: 302922
- Obsolete new old mozilla-firefox 2.x versions
- adding big banner to the spec, to prevent people from messing it up

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.4
    - update to firefox 3.1-beta1

* Mon Sep 29 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.3-2mdv2009.0
+ Revision: 289827
- do not show EULA
- bump release

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.3-1mdv2009.0
+ Revision: 288944
- update to new version 3.0.3

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-2mdv2009.0
+ Revision: 288649
- add strict version requires to xulrunner (#44255)
- bump release

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-1mdv2009.0
+ Revision: 288006
- version 3.0.2

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-10mdv2009.0
+ Revision: 280885
- suggest nspluginwrapper
- bump release

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-9mdv2009.0
+ Revision: 279062
- obsolete old libmozilla-firefox by using %%mklibname
- bump release
- enable BUILD_OFFICIAL and MOZILLA_OFFICIAL

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-8mdv2009.0
+ Revision: 273430
- obsoleting all libmozilla-firefox2.0.0.x manually
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-7mdv2009.0
+ Revision: 273279
- disabling auto selection theme patch

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-6mdv2009.0
+ Revision: 273216
- removing suggests to firefox-theme-kde4ff.
- bump release
- add Obsoletes to the old libmozilla-firefox

* Mon Aug 11 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-5mdv2009.0
+ Revision: 270873
- fixing i18n for menu entries. (desktop file from fedora)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - bump tag
    - drop patches 0,8,9,10,11,13 as these are xulrunner specific
    - build with system wide nspr and nss libraries

* Wed Aug 06 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-4mdv2009.0
+ Revision: 265033
- create and own %%_libdir/mozilla/plugins
- Remove requires for myspell packages as they will be suggested in l10n packages (#42304)
- add suggests to myspell-en_US
- bump release

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-3mdv2009.0
+ Revision: 260092
- do not conflict with mozilla-firefox-theme-kdeff. firefox-theme-kde4ff will obsolete it.
- add patch to disable classic theme auto selection.
- add suggests tag to kde4ff theme
- bump release
- moving firefox3.desktop to firefox.desktop

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-2mdv2009.0
+ Revision: 256402
- changing ff3 to use xulrunner1.9
- dropping ff libification
- obsoleting libfirefox3 and mozilla-firefox 2 package
- renaming wrapper scripts to firefox and mozilla-firefox
- add patch to remove update option from help menu
- bump release

  + Funda Wang <fwang@mandriva.org>
    - use internal sqlite for previous releases

  + Frederik Himpe <fhimpe@mandriva.org>
    - Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed, so on
      Mandriva older than 2009.0 use the included sqlite library instead
      of the system wide one

* Mon Jul 21 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-1mdv2009.0
+ Revision: 239495
- Remove networkmanager and sqlite pacthes as they are upstream now.
- add Requires to mailcap. Fixes bug #42096
- add ask.com search engine
- change search engines menu order
- bump release
- Changing old firefox 2 description to a new one.
- bump release (0.b5.2mdv)
- fixing libdir for plugins
- renaming startup script to firefox3
- adding Requires to libfirefox3 on firefox3 package
- changing desktop file to point to firefox3
- fix wrong plugins directory.
- Disabling broken patches.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - no more branches, move firefox to its own svn place
    - update to new version 3.0.1
    - do not strip debug symbols so the debug package is not empty
    - Patch13: use the correct restart command for session managers (plugins are not being loaded after user login)
    - try to use jemalloc instead of malloc, as it can help reduce memory fragmentation
    - enable java build, add buildrequires on java-rpmbuild
    - provide better description
    - let's try compile firefox with enabled strict aliasing
    - don't pass our %%optflags for --enable-optimize
    - Patch12: ignore NetworkManager status (upstream mozilla bug #424626)
    - update to new release 3.0
    - update to new release candidate rc3
    - update to new release candidate rc2
    - add missing build requires on gnome stuff (handle mime-types #41201)
    - add build requires on doxygen
    - do not install buildrequires for nss-devel and nspr-devel because ff3 uses its own (for now)
    - hunspell handles now dictionaries, no need to create a symlinks for them
    - set pref browser.tabs.loadDivertedInBackground (more infos at bug #25009)
    - disable crashreporter, and drop buildrequires on curl-devel
    - fix file list
    - Patch0: try better solution of get the mozilla plugins path (work in progress)
    - Patch10: do not use firefox's own libIDL
    - Patch11: hopefully fix compiling against system-wide hunspell
    - do not build crashreporter tool
    - enable all image encoders
    - enable default extensions
    - enable hunspell support (it is in main now)
    - use %%serverbuild macro
    - add cache files
    - disable hunspell because it is in contrib :(
    - enable system-wide hunspell support
    - use system-wide dictionaries
    - requires desktop-file-utils
    - drop patch 10, set preferences into spec file
    - add search engines
    - add firefox-rebuild-databases.pl tool
    - enable Mandriva specific bookmarks
    - add Mandriva specific settings
    - disable EULA popup
    - regenerate certificates
    - disable native uconv (really fixes #40944)
    - re-enable Xft support
    - drop requires on icu and buildrequires on icu-devel (useless)
    - Patch10: various firefox preferences
      o disable firefox update
      o enable smooth scroll
      o use system colors
      o enable http pipelining
    - add buildrequires on icu-devel (#40944)
    - Patch8: completely re-done patch, get the MAXPATHLEN from glibc rather than hardcoding (fixes buffer overflow #41102)
    - Patch9: remove -WConversion, this silences gcc output
    - Patch8: fix exePath lenght to prevent firefox crash
    - disable Xft as it sometimes renders bad fonts (# 40944)
    - don not ise system-wide nspr and nss libraries, because they were not updated yet
    - fix file list
    - fix desktop file
    - drop the mozilla prefix from the name
    - enable sqlite support
    - new version
    - backport few patches from firefox2
    - add source and spec file

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Versioning sqlite BuildRequires.
    - Don't force expanded %%{optflags} in CFLAGS.

  + Thierry Vignaud <tv@mandriva.org>
    - devel package needs the library
    - fix 'empty-%%post(|un)' error (rpm filetriggers deprecates update_menus &
      update_desktop_database)
    - stop packaging useless OS/2 & build doc as well as CVS directories
    - RC1
    - patch 7: fix testing for sqlite >= 3.5.4 that fails with sqlite-3.5.7

